
Redmine - Defect #23206

Wrong filters are applied when exporting issues to CSV with blank filter

2016-06-30 08:48 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 3.2.4   

Resolution: Fixed Affected version: 3.2.1

Description

Steps to reproduce:

1. Go to "Issues" page.

2. Clear "Status" check box in "Filters" and click apply. You will see all (open and closed) issues in the project.

3. Export issues to a CSV file by clicking "CSV" link. The CSV file should contain open and closed issues, but actually it contains

open issues only.

No problem in 3.1-stable. Maybe this is a regression caused by #22108.

Attached a patch to fix this problem.

Associated revisions

Revision 15608 - 2016-07-09 04:08 - Jean-Philippe Lang

Wrong filters are applied when exporting issues to CSV with blank filter (#23206).

Patch by Go MAEDA.

Revision 15612 - 2016-07-10 09:45 - Jean-Philippe Lang

Merged r15608 (#23206).

Revision 15613 - 2016-07-10 09:45 - Jean-Philippe Lang

Merged r15608 (#23206).

History

#1 - 2016-06-30 12:45 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 3.2.4

#2 - 2016-06-30 16:39 - Go MAEDA

- File fix_csv_export_when_issues_filter_is_blank_v2.diff added

Updated tests.

#3 - 2016-07-09 04:09 - Jean-Philippe Lang

- Category set to Issues filter

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks for this patch.

#4 - 2016-07-10 09:46 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files
fix_csv_export_when_issues_filter_is_blank.diff 977 Bytes 2016-06-30 Go MAEDA

fix_csv_export_when_issues_filter_is_blank_v2.diff 1.5 KB 2016-06-30 Go MAEDA
